gp_ht_map_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::gp_ht_map< Key, Mapped, Hash_Fn, Eq_Fn, _Alloc, Store_Hash, Comb_Probe_Fn, Probe_Fn, Resize_Policy >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_GEN_POS
#define | PB_DS_GP_HASH_NAME
#define | PB_DS_GP_HASH_TRAITS_BASE
#define | PB_DS_HASH_EQ_FN_C_DEC
#define | PB_DS_RANGED_PROBE_FN_C_DEC

## Variables

| empty_entry_status
| erased_entry_status
| valid_entry_status

## Detailed Description

Contains an implementation class for general probing hash.

Definition in file gp_ht_map_.hpp.

## Macro Definition Documentation

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 110 of file unordered_iterator/const_iterator.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 67 of file gp_ht_map_.hpp.

## PB_DS_GEN_POS

#define PB_DS_GEN_POS

Definition at line 188 of file gp_ht_map_.hpp.

## PB_DS_GP_HASH_NAME

PB_DS_CLASS_T_DEC PB_DS_CLASS_C_DEC::PB_DS_GP_HASH_NAME

Definition at line 60 of file gp_ht_map_.hpp.

## PB_DS_GP_HASH_TRAITS_BASE

#define PB_DS_GP_HASH_TRAITS_BASE

Definition at line 82 of file gp_ht_map_.hpp.

## PB_DS_HASH_EQ_FN_C_DEC

#define PB_DS_HASH_EQ_FN_C_DEC

Definition at line 76 of file gp_ht_map_.hpp.

## PB_DS_RANGED_PROBE_FN_C_DEC

#define PB_DS_RANGED_PROBE_FN_C_DEC

Definition at line 79 of file gp_ht_map_.hpp.

## Variable Documentation

## empty_entry_status

empty_entry_status

Definition at line 0 of file gp_ht_map_.hpp.

## erased_entry_status

erased_entry_status

Definition at line 2 of file gp_ht_map_.hpp.

## valid_entry_status

valid_entry_status

Definition at line 1 of file gp_ht_map_.hpp.